Page MenuHomePhabricator

[libc++] Split __allocator_destructor out of shared_ptr.h
ClosedPublic

Authored by philnik on Sep 22 2022, 2:07 PM.

Diff Detail

Event Timeline

philnik created this revision.Sep 22 2022, 2:07 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 22 2022, 2:07 PM
philnik requested review of this revision.Sep 22 2022, 2:07 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 22 2022, 2:07 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
Herald added a reviewer: Restricted Project. · View Herald Transcript
ldionne accepted this revision.Sep 22 2022, 3:16 PM
This revision is now accepted and ready to land.Sep 22 2022, 3:16 PM

Please wait for CI to be back and green before merging, though.

philnik updated this revision to Diff 463546.Sep 28 2022, 7:15 AM
  • Generate files
philnik updated this revision to Diff 463557.Sep 28 2022, 7:36 AM
  • Try to fix CI
philnik updated this revision to Diff 463595.Sep 28 2022, 9:49 AM
  • Try to fix CI
philnik updated this revision to Diff 464102.Sep 29 2022, 5:07 PM
  • Try to fix CI
philnik updated this revision to Diff 464204.Sep 30 2022, 3:04 AM
  • Try to fix CI
philnik updated this revision to Diff 464493.Oct 1 2022, 5:48 AM
  • Next try
huixie90 accepted this revision.Oct 5 2022, 12:17 AM

LGTM

libcxx/include/__memory/allocator_destructor.h
37

nit: can this member function be const?

philnik updated this revision to Diff 465924.Oct 6 2022, 4:31 PM
  • Rebased
  • Try to fix CI
libcxx/include/__memory/allocator_destructor.h
37

Maybe, but I wouldn't change it here, since I'm just moving the code.

philnik updated this revision to Diff 466033.Oct 7 2022, 4:03 AM
  • Next try
philnik updated this revision to Diff 472695.Wed, Nov 2, 10:49 AM

Add shared_ptr.h include to <ostream>

philnik updated this revision to Diff 473435.Sat, Nov 5, 8:47 AM

Generate transitive include lists

This revision was automatically updated to reflect the committed changes.